%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pybasever: %global pybasever %(%{__python} -c "import sys ; print sys.version[:3]" || echo 0.0)}

Name:		python-fpconst
Version:	0.7.3
Release:	7.0.cf%{?dist}
Summary:	A Python module for handling IEEE 754 floating point special values
Group:		Development/Languages
License:	ASL 2.0
URL:		http://research.warnes.net/projects/RStatServer/fpconst/
Source0:	http://downloads.sf.net/rsoap/fpconst-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel
%if "%{pybasever}" == "2.3"
Requires:	python-abi = 2.3
%endif

%description
This python module implements constants and functions for working with
IEEE754 double-precision special values.  It provides constants for
Not-a-Number (NaN), Positive Infinity (PosInf), and Negative Infinity
(NegInf), as well as functions to test for these values.

%prep
%setup -q -n fpconst-%{version}
%{__chmod} -x README pep-0754.txt

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitelib}/fpconst-%{version}-py%{pybasever}.egg-info ]; then
	echo %{python_sitelib}/fpconst-%{version}-py%{pybasever}.egg-info
fi > egg-info

%clean
%{__rm} -rf %{buildroot}

%files -f egg-info
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README pep-0754.txt
%{python_sitelib}/fpconst.py*

%changelog
* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> 0.7.3-7.0.cf
- Rebuild for python 2.7 in Rawhide

* Tue May 25 2010 Paul Howarth <paul@city-fan.org> 0.7.3-6.1.cf
- Rebuild for RHEL-6

* Tue Aug 18 2009 Paul Howarth <paul@city-fan.org> 0.7.3-6.0.cf
- Define RPM macros in global scope
- Tidy up egg-info handling

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 23 2008 Paul Howarth <paul@city-fan.org> 0.7.3-1
- Update to 0.7.3
- Handle egg-info if present
- New source URL
- Use preferred license tag for Apache Software License v2.0

* Wed Jun  6 2007 Paul Howarth <paul@city-fan.org> 0.7.2-3
- BuildRequire python-devel

* Mon Sep  4 2006 Paul Howarth <paul@city-fan.org> 0.7.2-2
- Don't ghost .pyo files
- Don't bother with %%{optflags} for noarch package
- Only generate python-abi dep for distros using python 2.3
- Tidied %%changelog

* Sat Mar 18 2006 Christopher Stone <chris.stone@gmail.com> 0.7.2-1
- Initial release of python-fpconst; changes from fpconst include:
- Renamed package from fpconst to python-fpconst
- Removed macros in URL
- Removed python-devel from BR
- Dropped the second paragraph in %%description
- Dropped PKG-INFO from %%doc
- Added pep-0754.txt to %%doc
